package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BasePreventForeign;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 九防台账-防异物
* @author wuhonghao
* @date 2021/11/12
*/
@Mapper
@Repository
public interface BasePreventForeignMapper {

    /**
    * 新增
    */
    int insert(BasePreventForeign basePreventForeign);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BasePreventForeign basePreventForeign);

    /**
    * 获取单个
    */
    BasePreventForeign getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BasePreventForeign> getList(BasePreventForeign basePreventForeign);

}
